/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

@media screen and (prefers-color-scheme: dark) {
  :root {
      --bg: #282828;
      --fg: #ebdbb2;
      --red: #cc241d;
      --orange: #d65d0e;
      --yellow: #d79921;
      --green: #98971a;
      --aqua: #689d6a;
      --blue: #458588;
      --purple: #b16286;
  }
}

@media screen and (prefers-color-scheme: light) {
  :root {
    --bg: #fff;
    --fg: #000;
    --red: #9d0006;
    --orange: #af3a03;
    --yellow: #b57614;
    --green: #79740e;
    --aqua: #427b58;
    --blue: #076678;
    --purple: #8f3f71;
  }
}


@font-face {
  font-family: 'Fixedsys';
  src: url('/content/FSEX302.ttf');
}


@-webkit-keyframes filter-colorchange {
	0% {-webkit-filter: hue-rotate(0deg);filter: hue-rotate(0deg);}
	50% {-webkit-filter: hue-rotate(360deg);filter: hue-rotate(360deg);}
	100% {-webkit-filter: hue-rotate(0deg);filter: hue-rotate(0deg);}
}


@keyframes filter-colorchange {
	0% {-webkit-filter: hue-rotate(0deg);filter: hue-rotate(0deg);}
	50% {-webkit-filter: hue-rotate(360deg);filter: hue-rotate(360deg);}
	100% {-webkit-filter: hue-rotate(0deg);filter: hue-rotate(0deg);}
}

body {
    font-family: 'Fixedsys', monospace;
    color: var(--fg);
    background-color: var(--bg);
    min-height: 100vh;
    margin: 0;
}

a {
    color: var(--blue);
}

a:visited {
    color: var(--purple);
}

a.current-page::before {
  content: '> ';
}

.spoiler-18 {
  opacity: 0.125;
}
.spoiler-18::before {
  content: '18+ '
}
.spoiler-18:hover {
  opacity: 1;
}

main {
    counter-reset: reversed(article);
    margin: auto;
    min-width: 300px;
    width: 100%;
    max-width: 800px;
}

header h1 {
  border-bottom: none;
  margin-bottom: 0;
  margin-top: 0.5rem;
}

header a + a { 
  margin-left: 0.25rem;
}

header .horizontal-divider {
  margin-bottom: 1rem;
  width: 100%;
}

.wrapper {
    gap: 12px;
}

.wrapper.main {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 180px 1fr;
    grid-template-columns: 180px 1fr;
    -ms-grid-rows: 1fr;
    grid-template-rows: 1fr;
}

.wrapper.main > *:nth-child(1) {
  -ms-grid-row: 1;
  -ms-grid-column: 1;
}

.wrapper.main > *:nth-child(2) {
  -ms-grid-row: 1;
  -ms-grid-column: 2;
}

.wrapper.content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
}

.wideimage {
  height: auto;
  width: 100%;
}

#profile .user-image {
    display: block;
    aspect-ratio: 1;
    margin-bottom: 1rem;
    width: 100%;
/*  disabled due to new profile image >:3
    -webkit-animation: 120s filter-colorchange infinite;
            animation: 120s filter-colorchange infinite;
*/
}

#profile .stamps {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 88px 2px 88px;
  grid-template-columns: repeat(2, 88px);
  gap: 2px;
  margin-top: 1rem;
}

#profile .stamps img {
  display: block;
}

article {
    margin-left: 1.5rem;
    counter-increment: article -1;
}

article+article {
    margin-top: 4rem;
}

h1,
.horizontal-divider {
    border-bottom: 1pt solid;
}

h1 {
    font-size: 1.5rem;
    margin-top: 0;
}

main>h1 {
    font-size: 1.75rem;
}

article>h1 {
    font-size: 1.15rem;
}

article>h1::before {
    content: '00' counter(article) '. ';
}

article>h1:nth-child(n+10):before {
    content: '0' counter(article) '. ';
}

article>h1:nth-child(n+100):before {
    content: counter(article) '. ';
}

.date-created, .date-modified {
 float: right; 
}
.date-created::before {
  content: 'date created: ';
}
.date-modified::before {
  content: 'date modified: ';
}

p {
    margin-left: 0.75rem;
    text-indent: 0.75rem;
}

footer {
    margin-top: 2rem;
}

footer .left-box {
  float: left;
}

footer .right-box {
    float: right;
}

@media screen and (max-width: 639px) {
    #profile .stamps {
      display: none;
    }
    
    .wrapper {
        gap: 0px;
    }

    .wrapper.main {
        -ms-grid-rows: 180px 1fr;
        grid-template-rows: 180px 1fr;
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
    }

    .wrapper.main > *:nth-child(1) {
    -ms-grid-row: 1;
    -ms-grid-column: 1;
    }

    .wrapper.main > *:nth-child(2) {
    -ms-grid-row: 2;
    -ms-grid-column: 1;
    }

    #profile .user-image {
        float: left;
        margin-right: 12px;
        height: 100%;
        width: auto;
    }
}

@media screen and (max-width: 359px) {
    body {
        margin-right: 12px;
    }

    article {
        margin-left: 0;
    }

    .wrapper.main {
        -ms-grid-rows: 240px 1fr;
        grid-template-rows: 240px 1fr;
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
    }

    .wrapper.main > *:nth-child(1) {
    -ms-grid-row: 1;
    -ms-grid-column: 1;
    }

    .wrapper.main > *:nth-child(2) {
    -ms-grid-row: 2;
    -ms-grid-column: 1;
    }

    #profile .user-image {
        float: initial;
        margin-bottom: 12px;
        height: 180px;
    }

    h1 {
        max-width: 240px;
    }

    p {
        text-indent: 0;
    }
}

